Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface PersistentSearch

All Known Implementing Classes:
  PersistentSearchImpl

    public interface PersistentSearch

LDAP Persistent Search interface. This defines methods for Persistent Search Control.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`java.lang.String` | `getContextName()` Method to retrieve the context name on which the listener is listening
`java.lang.String` | `getEntryName()` Method to retrieve the entry name on which the listener is interested.
`STCEventQueue` | `getEventQueue()` Method to retrieve the event queue associated with this search operation
`java.lang.String` | `getSearchFilter()` Method to retrieve the search filter that was set for this search operation
`int` | `getSearchScope()` Method to retrieve the search scope that was set for this search operation
`void` | `reset()` Method to reset the values
`void` | `search()` Method that is invoked by the client to initiate a Persistent Search.
`void` | `setContextName(java.lang.String contextName)` Method to set the context name on which the listener should listening
`void` | `setEntryName(java.lang.String entryName)` Method to set the entry name on which the listener is interested.
`void` | `setSearchFilter(java.lang.String searchFilter)` Method to set the search filter for this search operation
`void` | `setSearchScope(int searchScope)` Method to set the search scope for this search operation

Method Detail

### getSearchScope

    int getSearchScope()
                       throws LDAPApplicationException

  Method to retrieve the search scope that was set for this search operation

  Returns:
    the integer value representing the search scope set
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setSearchScope

    void setSearchScope(int searchScope)
                        throws LDAPApplicationException

  Method to set the search scope for this search operation

  Parameters:
    `the` - integer value representing the search scope set
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getContextName

    java.lang.String getContextName()
                                    throws LDAPApplicationException

  Method to retrieve the context name on which the listener is listening

  Returns:
    the context name on which the listener is listening for updates
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setContextName

    void setContextName(java.lang.String contextName)
                        throws LDAPApplicationException

  Method to set the context name on which the listener should listening

  Parameters:
    `the` - context name on which the listener should be listening for updates
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getEntryName

    java.lang.String getEntryName()
                                  throws LDAPApplicationException

  Method to retrieve the entry name on which the listener is interested. Listener's can be registered on each entry basis.

  Returns:
    the entry name on which the listener is interested for updates
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setEntryName

    void setEntryName(java.lang.String entryName)
                      throws LDAPApplicationException

  Method to set the entry name on which the listener is interested. Listener's can be registered on each entry basis.

  Parameters:
    `the` - entry name on which the listener is interested for updates
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getSearchFilter

    java.lang.String getSearchFilter()
                                     throws LDAPApplicationException

  Method to retrieve the search filter that was set for this search operation

  Returns:
    the search filter that was set for this search operation
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setSearchFilter

    void setSearchFilter(java.lang.String searchFilter)
                         throws LDAPApplicationException

  Method to set the search filter for this search operation

  Parameters:
    `the` - search filter that is to be set for this search operation
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### search

    void search()
                throws LDAPApplicationException

  Method that is invoked by the client to initiate a Persistent Search. This method registers a listener based on the parameters provided by the user.

  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getEventQueue

    STCEventQueue getEventQueue()
                                throws LDAPApplicationException

  Method to retrieve the event queue associated with this search operation

  Returns:
    the event queue as a STCEventQueue object
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD